REST APIWallet & TransactLightning

GET

Fetch lightning onchain transaction for a txid

This API call is used to fetch lightning onchain transaction for a given txid.

Path Params

  • walletId string required

    matches ^[0-9a-f]{32}$

  • txid string required

Responses

200
OK

Response Body

object

Transaction details
  • id string required
  • normalizedTxHash string required
  • blockHeight number required
  • inputIds object required
  • entries object required
  • inputs object required
  • outputs object required
  • size number required
  • date string date-time required
  • fee number required
  • feeString string required
  • hex string required
  • confirmations number required
  • blockHash string
  • blockPosition number
  • label string
400
Bad Request

Response Body

ONE OF

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
404
Not Found

Response Body

ONE OF

  • name string enum required
    InvalidWalletId
  • context object required
    context object
    • id string required

      matches ^[0-9a-f]{32}$

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
500
Internal Server Error

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id